

- timer_init() is a dumb name for a global

- prototypes go in header files, dammit!

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/oprofile/oprof.c     |    5 +----
 25-akpm/drivers/oprofile/oprof.h     |    1 +
 25-akpm/drivers/oprofile/timer_int.c |    6 ++++--
 3 files changed, 6 insertions(+), 6 deletions(-)

diff -puN drivers/oprofile/oprof.c~oprofile-arch-independent-code-for-stack-trace-rename-timer_init drivers/oprofile/oprof.c
--- 25/drivers/oprofile/oprof.c~oprofile-arch-independent-code-for-stack-trace-rename-timer_init	2004-11-11 02:02:51.463436360 -0800
+++ 25-akpm/drivers/oprofile/oprof.c	2004-11-11 02:02:51.469435448 -0800
@@ -151,15 +151,12 @@ out:
 	return err;
 }
 
-
-extern void timer_init(struct oprofile_operations * ops);
-
 static int __init oprofile_init(void)
 {
 	int err = 0;
 
 	/* this is our fallback case */
-	timer_init(&oprofile_ops);
+	oprofile_timer_init(&oprofile_ops);
 
 	if (timer) {
 		printk(KERN_INFO "oprofile: using timer interrupt.\n");
diff -puN drivers/oprofile/oprof.h~oprofile-arch-independent-code-for-stack-trace-rename-timer_init drivers/oprofile/oprof.h
--- 25/drivers/oprofile/oprof.h~oprofile-arch-independent-code-for-stack-trace-rename-timer_init	2004-11-11 02:02:51.464436208 -0800
+++ 25-akpm/drivers/oprofile/oprof.h	2004-11-11 02:02:51.470435296 -0800
@@ -32,6 +32,7 @@ struct super_block;
 struct dentry;
 
 void oprofile_create_files(struct super_block * sb, struct dentry * root);
+void oprofile_timer_init(struct oprofile_operations * ops);
 
 int oprofile_set_backtrace(unsigned long depth);
  
diff -puN drivers/oprofile/timer_int.c~oprofile-arch-independent-code-for-stack-trace-rename-timer_init drivers/oprofile/timer_int.c
--- 25/drivers/oprofile/timer_int.c~oprofile-arch-independent-code-for-stack-trace-rename-timer_init	2004-11-11 02:02:51.465436056 -0800
+++ 25-akpm/drivers/oprofile/timer_int.c	2004-11-11 02:03:47.447925424 -0800
@@ -14,7 +14,9 @@
 #include <linux/profile.h>
 #include <linux/init.h>
 #include <asm/ptrace.h>
- 
+
+#include "oprof.h"
+
 static int timer_notify(struct pt_regs *regs)
 {
  	oprofile_add_sample(regs, 0);
@@ -33,7 +35,7 @@ static void timer_stop(void)
 }
 
 
-void __init timer_init(struct oprofile_operations * ops)
+void __init oprofile_timer_init(struct oprofile_operations * ops)
 {
 	ops->start = timer_start;
 	ops->stop = timer_stop;
_
